Qwt User's Guide 6.1.0

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtPointSeriesData Class Reference

Interface for iterating over an array of points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPointSeriesData:
[legend]

## Public Member Functions
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QPointF > &samples)
void | setSamples (const QVector< QPointF > &samples)
const QVector< QPointF > | samples () const
virtual size_t | size () const
virtual QPointF | sample (size_t index) const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | d_samples
| Vector of samples.

## Detailed Description

Interface for iterating over an array of points.

## Constructor & Destructor Documentation

QwtPointSeriesData::QwtPointSeriesData | ( | const QVector< QPointF > & | samples = `QVector<QPointF>()` | ) |

Constructor

Parameters

  samples | Samples

## Member Function Documentation

QRectF QwtPointSeriesData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QPointF >.